curl --request GET \
--url https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/lists/{list}/entries/{entry_id}/attributes/{attribute}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": "2023-01-01T15:00:00.000000000Z",
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b",
"attribute_type": "actor-reference"
}
]
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "List with slug/ID \"enterprise_sales\" not found."
}List attribute values for a list entry
Gets all values for a given attribute on a list entry. This endpoint has the ability to return all historic values using the show_historic query param. Historic values are sorted from oldest to newest (by active_from).
Required scopes: list_entry:read, list_configuration:read.
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Path Parameters
A UUID or slug identifying the list the entry is in.
"enterprise_sales"
A UUID identifying the entry.
"2e6e29ea-c4e0-4f44-842d-78a891f8c156"
A UUID or slug to identify the attribute you want to query values on.
"41252299-f8c7-4b5e-99c9-4ff8321d2f96"
Query Parameters
If true, the endpoint will return all historic values for the attribute. If false, the endpoint will only return the currently active value(s). Defaults to false. Can only be set to true for attributes which support historic data; the endpoint will throw if set to true for non-historic attributes.
true
The maximum number of results to return. See the full guide to pagination here.
10
The number of results to skip over before returning. See the full guide to pagination here.
5
Response
Success
Success
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
Show child attributes
Show child attributes
Was this page helpful?